## org.eclipse.m2m.qvt.oml.util
Interface Dictionary<KeyT,T>

All Superinterfaces:
  java.util.Collection<T>, java.lang.Iterable<T>

    public interface Dictionary<KeyT,T>

extends java.util.Collection<T>

A hash-map based dictionary representing the `Stdlib::DictionaryType`.

Since:
  2.0

Method Summary
`void` `clear()`
`T` `defaultget(KeyT k, T v)`
`T` `get(KeyT k)`
`boolean` `hasKey(KeyT k)`
`java.util.List<KeyT>` `keys()`
`void` `put(KeyT k, T v)`
`java.util.List<T>` `values()`

Methods inherited from interface java.util.Collection
`add, addAll, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### get

    T get(KeyT k)

### put

    void put(KeyT k,
             T v)

### hasKey

    boolean hasKey(KeyT k)

### defaultget

    T defaultget(KeyT k,
                 T v)

### keys

    java.util.List<KeyT> keys()

### values

    java.util.List<T> values()

### clear

    void clear()

  Specified by:
    `clear` in interface `java.util.Collection<T>`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.